Bug 430570 - Color preferences don't work very well
Color preferences don't work very well
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-28 15:28 EST by Bruno Wolff III
Modified: 2008-09-01 07:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-01 07:57:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 405207 None None None Never

  None (edit)
Description Bruno Wolff III 2008-01-28 15:28:13 EST
Description of problem:
When setting the foreground and background colors in preferences, they aren't
applied to all cases they should be. In firefox as shipped with F8, there were
fewer problem cases. In rawhide there seems to be more cases where there are
problems. For example to use bugzilla I have to use no page style rather than
basic page style or else I get black on black in the text input areas. (I have
my background color set to black and foreground to a bluish white.)
While setting up my own style sheet can work around this, I expect the point of
the preferences setting is to provide a way to set colors without having to go
to the trouble of writing a custom style sheet.

Version-Release number of selected component (if applicable):

How reproducible:
At a particular site the problems will happen reliably, but different sites are
effected differently.

Steps to Reproduce:
1. Set custom colors in prefences/content and prohibit overrides by web sites
2. Visit the bugzilla page and try entering text into the text input areas.
Actual results:
With basic page style I got black on black. With no page style I got black on white.

Expected results:
I expected to get white on black.

Additional info:
Comment 1 Christopher Aillon 2008-01-28 15:47:16 EST
Rawhide is just tracking upstream, so this should get filed there....
Comment 2 Matěj Cepl 2008-01-28 18:42:00 EST
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the the upstream bugzilla
located at http://bugzilla.mozilla.org in the particular component.

The description of this bug is not specific enough to enable me to pick which of
the bugs in these queries http://tinyurl.com/3x8ylz and
http://tinyurl.com/38whcb (which are the best I was able to find in the
bugzilla.mozilla.org database) best describes your problem. Please, go through
these bugs and add yourself to Cc: of the particular bug (or file a new one, if
you won't find any appropriate bug). Product is Firefox, component Preferences.

Once you've filed your bug report to the upstream bugzilla, if you paste the new
bug URL here, Red Hat will continue to track the issue in the centralized
upstream bug tracker, and will review any bug fixes that become available for
consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.
Comment 3 Bruno Wolff III 2008-01-30 13:54:54 EST
I looked through the bug lists (thanks for getting those) and the closest bug is
405207. It isn't exactly the same, as they are using system colors and I am
using fixed colors. But neither of us is using the site's colors and the problem
is related to forms. So I think the underlying issue is the same. The only other
thing is that the bug seems to imply that it applied to previous versions of
firefox, but I wasn't seeing it in firefox 2. The submission is relatively new
though, so maybe the reference is to really old versions of firefox.
What I'll do is try to get into the mozilla bug system and add a comment to that
bug (since that will probably get more traction than a new bug would) and then
add another comment here confirming the refernce to that bug.
Comment 4 Matěj Cepl 2008-01-30 15:01:34 EST
OK, setting this bug to NEEDINFO and waiting for the information about your
dealing with upstream.
Comment 5 Bruno Wolff III 2008-02-01 19:10:05 EST
I have now added a comment to 405207 (at mozilla) giving some more details for
their system and pointing back to this bugzilla entry.
Comment 6 Bug Zapper 2008-05-14 00:54:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Bruno Wolff III 2008-08-13 12:23:38 EDT
There have been some improvements here. Text boxes now seem to use reasonable colors, but labels on buttons and drop down selection lists still show up as black on black.
Comment 8 Bruno Wolff III 2008-08-15 12:10:28 EDT
The color issue didn't get fixed in all text boxes, so its possible the change was due to a change in the application (notably Redhat's bugzilla) rather than Firefox.

Note You need to log in before you can comment on or make changes to this bug.